OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class EventconfFactory

    java.lang.Object
      org.opennms.netmgt.config.EventconfFactory

public class EventconfFactory
extends java.lang.Object

Nested Class Summary
`private static class` `EventconfFactory.EventLabelComparator`

Field Summary
`private static boolean` `initialized` Boolean indicating if the init() method has been called
`private static EventconfFactory` `instance` The static singleton instance of the EventconfFactory
`private static java.util.List` `m_events` List of configured events
`private static Global` `m_global` List of global properties

Constructor Summary
`private` `EventconfFactory()`

Method Summary
`Event` `getEvent(java.lang.String uei, Mask mask)` Deprecated. This function is not implemented completely. It will not perform as expected. When it is implemented, remove this deprecation tag.
`java.lang.String` `getEventLabel(java.lang.String uei)`
`java.util.Map` `getEventLabels()`
`java.util.List` `getEvents(java.lang.String uei)`
`java.util.List` `getEventsByLabel()`
`java.util.List` `getEventUEIs()`
`static EventconfFactory` `getInstance()` Singleton static call to get the only instance that should exist for the EventconfFactory
`static void` `init()`
`static void` `reload()`
`void` `removeEvent(java.lang.String uei, Mask mask)`
`void` `removeEvents(java.lang.String uei)`
`void` `saveCurrent()`
`void` `saveEvents(java.util.Collection eventsList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static EventconfFactory instance

  The static singleton instance of the EventconfFactory

### m_events

    private static java.util.List m_events

  List of configured events

### m_global

    private static Global m_global

  List of global properties

### initialized

    private static boolean initialized

  Boolean indicating if the init() method has been called

Constructor Detail

### EventconfFactory

    private EventconfFactory()

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInstance

    public static EventconfFactory getInstance()

  Singleton static call to get the only instance that should exist for the EventconfFactory

  Returns:
    the single eventconf factory instance

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getEvents

    public java.util.List getEvents(java.lang.String uei)

### getEvent

    public Event getEvent(java.lang.String uei,
                          Mask mask)

  Deprecated. This function is not implemented completely. It will not perform as expected. When it is implemented, remove this deprecation tag.

### getEventUEIs

    public java.util.List getEventUEIs()

### getEventLabels

    public java.util.Map getEventLabels()

### getEventLabel

    public java.lang.String getEventLabel(java.lang.String uei)

### saveEvents

    public void saveEvents(java.util.Collection eventsList)
                    throws org.exolab.castor.xml.MarshalException,
                           java.io.IOException,
                           org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`
    `org.exolab.castor.xml.ValidationException`

### removeEvents

    public void removeEvents(java.lang.String uei)
                      throws org.exolab.castor.xml.MarshalException,
                             org.exolab.castor.xml.ValidationException,
                             java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### removeEvent

    public void removeEvent(java.lang.String uei,
                            Mask mask)
                     throws org.exolab.castor.xml.MarshalException,
                            java.io.IOException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`
    `org.exolab.castor.xml.ValidationException`

### saveCurrent

    public void saveCurrent()
                     throws org.exolab.castor.xml.MarshalException,
                            java.io.IOException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`
    `org.exolab.castor.xml.ValidationException`

### getEventsByLabel

    public java.util.List getEventsByLabel()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.